Subject: Re: bug#47040: 27.1; PNG binary transparency is ignored

From: Eli Zaretskii <[email-masked]>
Date: Wed, 10 Mar 2021 17:14:09 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Wed, 10 Mar 2021 16:05:25 +0100
> Cc: [email-masked]
> 
> > Red pixels in the both images have 0 for alpha value, so they should be
> > transparent and invisible, but transparent1.png is displayed as a red
> > square with a green frame in a emacs buffer.
> >
> > transparent2.png is displayed as a white square with a green frame as
> > expected.
> >
> > When they are displayed in a chrome browser, inner squares of the both
> > images are displayed as transparent.
> 
> I'm unable to reproduce this in Emacs 27.1 in Debian/bullseye, so this
> may be a Windows-specific problem.  It may also be fixed in Emacs 28,
> since the transparency code has gotten a lot of work.  Would it be
> possible for you to check in Emacs 28 whether this problem is still
> present there?
> 
> If not, can somebody else with Windows and Emacs 28 check whether the
> problem is still present?

The problem is still present when using the default libpng, but not if
I use the w32 native image API.